;==============================================================================
; (c) Copyright Elect Software International Inc., 1992, Toronto. Anyone can
; use this code for anything as long as it is not resold as a software
; development resource, as long as the copyright notice isn't removed, as
; long as changes are clearly marked as to authorship, and as long as users
; indemnify Elect from any liability.
; Comments welcome. Henrik Bechmann, CIS:72701,3717; Tel:416-534-8176.
;==============================================================================

;==============================================================================
;                    MENUDEMO IMPLEMENTATION
;==============================================================================

Proc MenuDemo.Constructor()
   Private
      LibrarySpec
   LibrarySpec = "MenuDemo"
   If Not IsFile("MenuDemo.Lib") Then
      Message "Compiling demo library. Please wait..."
      CreateLib LibrarySpec Size 300
      Play "MenuBox"
      Play "Box"
   Endif
   Autolib = LibrarySpec
   ; Always set up the box constructor at the start of your application...
   Box.Constructor()
EndProc

Proc MenuDemo.Run()
   Cursor Off
   MenuBox.Constructor(5,5,"Seasons")

   MenuBox.AddItem("Spring")
   MenuBox.AddItem("sUmmer")
   MenuBox.AddDivider()
   MenuBox.AddItem("Fall")
   MenuBox.AddItem("Winter")

   MenuBox.LaunchFromChar = True
   MenuBox.Looping = True
   MenuBox.ResponseProc = "MenuDemo.Submenu"
   MenuBox.RefreshAfterResponse = False
   MenuBox.FootNote = ""

   MenuBox.Display(0,0)
   MenuBox.Destructor()
   Cursor Normal
EndProc

Proc MenuDemo.SubMenu()
   Private
      Selection,
      a
   Selection = MenuBox.SelectionValue
   Switch
      Case Selection = "Spring" or Selection = "Fall":
         MenuBox.Constructor(5,4,Selection)
         MenuBox.AddItem("Jackets")
         MenuBox.AddItem("Shirts")
         MenuBox.AddItem("Pants")
         MenuBox.AddItem("Shoes")
         MenuBox.AddItem("Boots")
      Case Selection = "sUmmer":
         MenuBox.Constructor(1,4,Selection)
         MenuBox.AddItem("Bathing suits")
      Case Selection = "Winter":
         MenuBox.Constructor(7,4,Selection)
         MenuBox.AddItem("Coats")
         MenuBox.AddItem("Gloves")
         MenuBox.AddItem("Shirts")
         MenuBox.AddItem("Pants")
         MenuBox.AddItem("Shoes")
         MenuBox.AddItem("Boots")
         MenuBox.AddItem("Long underwear")
   EndSwitch
   OK = MenuBox.Display(3,8)
   If OK Then
      Message "You have selected ", MenuBox.SelectionValue, ". Press a key..."
      a = getChar()
   Endif
   MenuBox.Destructor()
EndProc

Proc MenuDemo.Destructor()
   Box.Destructor()
EndProc

;==============================================================================
;                    MENUDEMO MAINLINE
;==============================================================================

MenuDemo.Constructor()
MenuDemo.Run()
MenuDemo.Destructor()